// Address of sprite bank

#define SPRITEBANK		0x80090000

// Address of level bank

#define LEVELBANK		0x800922ac

// Screen width and height (PAL)

#define SCRW	320
#define SCRH	240

// Size of virtual screen in powers of 2
// Used to slow bloke down

#define VSCR	1

// Display area of map in rows and columns

#define BGx	0
#define BGy	0
#define BGw	20
#define BGh	14

// Game screen boundaries

#define LeftScrLimit	0
#define RightScrLimit	SCRW
#define TopScrLimit		0
#define BottomScrLimit	224

// Texture page and CLUT locations in frame buffer

#define TPAGEx	SCRW
#define TPAGEy	0
#define CLUTx	TPAGEx+TPWDTH
#define CLUTy	0

// Ordering table and packet buffer stuff

#define OTLENGTH 	1
#define MAXPKTS	1000
#define PKTOFFSET	GsPktSize*MAXPKTS

// Sprite stuff

#define BLOKEspr	0
#define BATspr		1
#define BLOCKspr	2
#define NDBLKS		4
#define STARTspr	6
#define MAXspr		7

#define MxBlokeYspd	(10<<VSCR)
#define BLOKExspd	1
#define BATxspd	2

// Controller button repeat delay

#define ButtonDelay	4

// Bloke animation frame offsets

#define BMVING	0
#define BDYING	5

// Frame number of bat, start block

#define BATfrm	50
#define STARTsprImg 0

// Number of random numbers in lookup table

#define RANDTABLESIZE	1000

#define BACKBLKS	34
#define ZONE		4

#define TOPBLK	1
#define BOTBLK	2
#define LFTBLK	4
#define RGTBLK	8
